/**
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.datatypes.dTML;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLFactory
 * @model kind="package"
 * @generated
 */
public interface DTMLPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "dTML";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.eclipse.org/papyrus/robotics/xtext/datatypes/DTML";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "dTML";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  DTMLPackage eINSTANCE = org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl.init();

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.ModelImpl <em>Model</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.ModelImpl
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getModel()
   * @generated
   */
  int MODEL = 0;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODEL__NAME = 0;

  /**
   * The number of structural features of the '<em>Model</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODEL_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XDataTypeImpl <em>XData Type</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XDataTypeImpl
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getXDataType()
   * @generated
   */
  int XDATA_TYPE = 1;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XDATA_TYPE__NAME = MODEL__NAME;

  /**
   * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XDATA_TYPE__ATTRIBUTES = MODEL_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>XData Type</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XDATA_TYPE_FEATURE_COUNT = MODEL_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.PropertyImpl <em>Property</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.PropertyImpl
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getProperty()
   * @generated
   */
  int PROPERTY = 2;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY__NAME = 0;

  /**
   * The feature id for the '<em><b>Type</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY__TYPE = 1;

  /**
   * The feature id for the '<em><b>Type Undefined</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY__TYPE_UNDEFINED = 2;

  /**
   * The feature id for the '<em><b>Multiplicity</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY__MULTIPLICITY = 3;

  /**
   * The feature id for the '<em><b>Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY__VALUE = 4;

  /**
   * The feature id for the '<em><b>Comment</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY__COMMENT = 5;

  /**
   * The number of structural features of the '<em>Property</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY_FEATURE_COUNT = 6;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XAssignmentImpl <em>XAssignment</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XAssignmentImpl
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getXAssignment()
   * @generated
   */
  int XASSIGNMENT = 3;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XASSIGNMENT__NAME = MODEL__NAME;

  /**
   * The feature id for the '<em><b>Expression</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XASSIGNMENT__EXPRESSION = MODEL_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>XAssignment</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XASSIGNMENT_FEATURE_COUNT = MODEL_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.ValueImpl <em>Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.ValueImpl
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getValue()
   * @generated
   */
  int VALUE = 4;

  /**
   * The feature id for the '<em><b>Str</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VALUE__STR = 0;

  /**
   * The feature id for the '<em><b>Ival</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VALUE__IVAL = 1;

  /**
   * The feature id for the '<em><b>Dval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VALUE__DVAL = 2;

  /**
   * The number of structural features of the '<em>Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VALUE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XEnumerationImpl <em>XEnumeration</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XEnumerationImpl
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getXEnumeration()
   * @generated
   */
  int XENUMERATION = 5;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XENUMERATION__NAME = MODEL__NAME;

  /**
   * The feature id for the '<em><b>Literals</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XENUMERATION__LITERALS = MODEL_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>XEnumeration</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XENUMERATION_FEATURE_COUNT = MODEL_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XEnumLiteralImpl <em>XEnum Literal</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XEnumLiteralImpl
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getXEnumLiteral()
   * @generated
   */
  int XENUM_LITERAL = 6;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XENUM_LITERAL__NAME = 0;

  /**
   * The feature id for the '<em><b>Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XENUM_LITERAL__VALUE = 1;

  /**
   * The feature id for the '<em><b>Comment</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XENUM_LITERAL__COMMENT = 2;

  /**
   * The number of structural features of the '<em>XEnum Literal</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int XENUM_LITERAL_FEATURE_COUNT = 3;


  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Model <em>Model</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Model</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Model
   * @generated
   */
  EClass getModel();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Model#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Model#getName()
   * @see #getModel()
   * @generated
   */
  EAttribute getModel_Name();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XDataType <em>XData Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>XData Type</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XDataType
   * @generated
   */
  EClass getXDataType();

  /**
   * Returns the meta object for the containment reference list '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XDataType#getAttributes <em>Attributes</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Attributes</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XDataType#getAttributes()
   * @see #getXDataType()
   * @generated
   */
  EReference getXDataType_Attributes();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property <em>Property</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Property</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property
   * @generated
   */
  EClass getProperty();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getName()
   * @see #getProperty()
   * @generated
   */
  EAttribute getProperty_Name();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Type</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getType()
   * @see #getProperty()
   * @generated
   */
  EReference getProperty_Type();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#isTypeUndefined <em>Type Undefined</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Type Undefined</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#isTypeUndefined()
   * @see #getProperty()
   * @generated
   */
  EAttribute getProperty_TypeUndefined();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getMultiplicity <em>Multiplicity</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Multiplicity</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getMultiplicity()
   * @see #getProperty()
   * @generated
   */
  EReference getProperty_Multiplicity();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Value</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getValue()
   * @see #getProperty()
   * @generated
   */
  EReference getProperty_Value();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getComment <em>Comment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Comment</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property#getComment()
   * @see #getProperty()
   * @generated
   */
  EAttribute getProperty_Comment();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XAssignment <em>XAssignment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>XAssignment</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XAssignment
   * @generated
   */
  EClass getXAssignment();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XAssignment#getExpression <em>Expression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Expression</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XAssignment#getExpression()
   * @see #getXAssignment()
   * @generated
   */
  EAttribute getXAssignment_Expression();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Value</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value
   * @generated
   */
  EClass getValue();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getStr <em>Str</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Str</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getStr()
   * @see #getValue()
   * @generated
   */
  EAttribute getValue_Str();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getIval <em>Ival</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Ival</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getIval()
   * @see #getValue()
   * @generated
   */
  EAttribute getValue_Ival();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getDval <em>Dval</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Dval</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Value#getDval()
   * @see #getValue()
   * @generated
   */
  EAttribute getValue_Dval();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumeration <em>XEnumeration</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>XEnumeration</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumeration
   * @generated
   */
  EClass getXEnumeration();

  /**
   * Returns the meta object for the containment reference list '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumeration#getLiterals <em>Literals</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Literals</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumeration#getLiterals()
   * @see #getXEnumeration()
   * @generated
   */
  EReference getXEnumeration_Literals();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral <em>XEnum Literal</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>XEnum Literal</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral
   * @generated
   */
  EClass getXEnumLiteral();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getName()
   * @see #getXEnumLiteral()
   * @generated
   */
  EAttribute getXEnumLiteral_Name();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Value</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getValue()
   * @see #getXEnumLiteral()
   * @generated
   */
  EReference getXEnumLiteral_Value();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getComment <em>Comment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Comment</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getComment()
   * @see #getXEnumLiteral()
   * @generated
   */
  EAttribute getXEnumLiteral_Comment();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  DTMLFactory getDTMLFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.ModelImpl <em>Model</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.ModelImpl
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getModel()
     * @generated
     */
    EClass MODEL = eINSTANCE.getModel();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute MODEL__NAME = eINSTANCE.getModel_Name();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XDataTypeImpl <em>XData Type</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XDataTypeImpl
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getXDataType()
     * @generated
     */
    EClass XDATA_TYPE = eINSTANCE.getXDataType();

    /**
     * The meta object literal for the '<em><b>Attributes</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference XDATA_TYPE__ATTRIBUTES = eINSTANCE.getXDataType_Attributes();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.PropertyImpl <em>Property</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.PropertyImpl
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getProperty()
     * @generated
     */
    EClass PROPERTY = eINSTANCE.getProperty();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PROPERTY__NAME = eINSTANCE.getProperty_Name();

    /**
     * The meta object literal for the '<em><b>Type</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PROPERTY__TYPE = eINSTANCE.getProperty_Type();

    /**
     * The meta object literal for the '<em><b>Type Undefined</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PROPERTY__TYPE_UNDEFINED = eINSTANCE.getProperty_TypeUndefined();

    /**
     * The meta object literal for the '<em><b>Multiplicity</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PROPERTY__MULTIPLICITY = eINSTANCE.getProperty_Multiplicity();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PROPERTY__VALUE = eINSTANCE.getProperty_Value();

    /**
     * The meta object literal for the '<em><b>Comment</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PROPERTY__COMMENT = eINSTANCE.getProperty_Comment();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XAssignmentImpl <em>XAssignment</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XAssignmentImpl
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getXAssignment()
     * @generated
     */
    EClass XASSIGNMENT = eINSTANCE.getXAssignment();

    /**
     * The meta object literal for the '<em><b>Expression</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute XASSIGNMENT__EXPRESSION = eINSTANCE.getXAssignment_Expression();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.ValueImpl <em>Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.ValueImpl
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getValue()
     * @generated
     */
    EClass VALUE = eINSTANCE.getValue();

    /**
     * The meta object literal for the '<em><b>Str</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute VALUE__STR = eINSTANCE.getValue_Str();

    /**
     * The meta object literal for the '<em><b>Ival</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute VALUE__IVAL = eINSTANCE.getValue_Ival();

    /**
     * The meta object literal for the '<em><b>Dval</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute VALUE__DVAL = eINSTANCE.getValue_Dval();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XEnumerationImpl <em>XEnumeration</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XEnumerationImpl
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getXEnumeration()
     * @generated
     */
    EClass XENUMERATION = eINSTANCE.getXEnumeration();

    /**
     * The meta object literal for the '<em><b>Literals</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference XENUMERATION__LITERALS = eINSTANCE.getXEnumeration_Literals();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XEnumLiteralImpl <em>XEnum Literal</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.XEnumLiteralImpl
     * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.impl.DTMLPackageImpl#getXEnumLiteral()
     * @generated
     */
    EClass XENUM_LITERAL = eINSTANCE.getXEnumLiteral();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute XENUM_LITERAL__NAME = eINSTANCE.getXEnumLiteral_Name();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference XENUM_LITERAL__VALUE = eINSTANCE.getXEnumLiteral_Value();

    /**
     * The meta object literal for the '<em><b>Comment</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute XENUM_LITERAL__COMMENT = eINSTANCE.getXEnumLiteral_Comment();

  }

} //DTMLPackage
